Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- exports.searchUtils
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.Deferred
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ActionDescription
- orion.editor.Annotation
- orion.editor.AnnotationIterator
- orion.editor.AnnotationModel
- orion.editor.AnnotationRuler
- orion.editor.AnnotationStyler
- orion.editor.AnnotationType
- orion.editor.AnnotationTypeList
- orion.editor.AsyncStyler
- orion.editor.BlurEvent
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.ContextMenuEvent
- orion.editor.DestroyEvent
- orion.editor.EditOptions
- orion.editor.Editor
- orion.editor.EventTarget
- orion.editor.FindIterator
- orion.editor.FindOptions
- orion.editor.FocusEvent
- orion.editor.FoldingAnnotation
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.KeyBinding
- orion.editor.LineNumberRuler
- orion.editor.LineStyleEvent
- orion.editor.ModelChangedEvent
- orion.editor.ModelChangingEvent
- orion.editor.ModifyEvent
- orion.editor.OverviewRuler
- orion.editor.Projection
- orion.editor.ProjectionTextModel
- orion.editor.regex
- orion.editor.Ruler
- orion.editor.ScrollEvent
- orion.editor.Selection
- orion.editor.SelectionEvent
- orion.editor.Style
- orion.editor.StyleRange
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.editor.TextModel
- orion.editor.TextView
- orion.editor.TextViewOptions
- orion.editor.UndoStack
- orion.editor.VerifyEvent
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.explorers.explorer-table.FileExplorer
- orion.explorers.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.form
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.objects
- orion.operation
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.PageLinks
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.Promise
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteEditor
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.URITemplate
- orion.util
- orion.webui.dialogs.OpenResourceDialog
- orion.webui.dialogs.OperationsDialog
- orion.widgets.Section
- orion.widgets.settings.SplitSelectionLayout
- orion.xhr
- orion.xhr.Result
- String

# Class orion.editor.AnnotationModel

This object manages annotations for a `TextModel`.

See:
orion.editor.Annotation
orion.editor.TextModel

Defined in: </shared/eclipse/e4/orion/I201302221257/plugins/org.eclipse.orion.client.editor/web/orion/editor/annotations.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.editor.AnnotationModel(textModel) Constructs an annotation model.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addAnnotation(annotation) Adds an annotation to the annotation model.
| addEventListener(type, listener, useCapture) Adds an event listener to this event target.
| dispatchEvent(evt) Dispatches the given event to the listeners added to this event target.
| getAnnotations(start, end) Returns an iterator of annotations for the given range of text.
| getTextModel() Returns the text model.
| modifyAnnotation(annotation) Notifies the annotation model that the given annotation has been modified.
| onChanged(added, changed, removed, textModelChangedEvent) Notifies all listeners that the annotation model has changed.
| removeAnnotation(annotation) Removes an annotation from the annotation model.
| removeAnnotations(type) Removes all annotations of the given `type`.
| removeEventListener(type, listener, useCapture) Removes an event listener from the event target.
| replaceAnnotations(remove, add) Removes and adds the specifed annotations to the annotation model.
| setTextModel(textModel) Sets the text model of the annotation model.

Class Detail
orion.editor.AnnotationModel(textModel)
Constructs an annotation model.

Parameters:
{textModel} textModel
  The text model.

Method Detail
addAnnotation(annotation)
Adds an annotation to the annotation model.

The annotation model listeners are notified of this change.

Parameters:
{orion.editor.Annotation} annotation
  the annotation to be added.

See:
  #removeAnnotation

addEventListener(type, listener, useCapture)
Adds an event listener to this event target.
Defined in: </shared/eclipse/e4/orion/I201302221257/plugins/org.eclipse.orion.client.editor/web/orion/editor/eventTarget.js>.

Parameters:
{String} type
  The event type.
{Function|EventListener} listener
  The function or the EventListener that will be executed when the event happens.
{Boolean} useCapture Optional, Default: false
  `true` if the listener should be trigged in the capture phase.

See:
  #removeEventListener

dispatchEvent(evt)
Dispatches the given event to the listeners added to this event target.
Defined in: </shared/eclipse/e4/orion/I201302221257/plugins/org.eclipse.orion.client.editor/web/orion/editor/eventTarget.js>.

Parameters:
{Event} evt
  The event to dispatch.

{orion.editor.AnnotationIterator} getAnnotations(start, end)
Returns an iterator of annotations for the given range of text.

Parameters:
{Number} start
  the start offset of the range.
{Number} end
  the end offset of the range.

Returns:
  {orion.editor.AnnotationIterator} an annotation iterartor.

{orion.editor.TextModel} getTextModel()
Returns the text model.

Returns:
  {orion.editor.TextModel} The text model.

See:
  #setTextModel

modifyAnnotation(annotation)
Notifies the annotation model that the given annotation has been modified.

The annotation model listeners are notified of this change.

Parameters:
{orion.editor.Annotation} annotation
  the modified annotation.

See:
  #addAnnotation

onChanged(added, changed, removed, textModelChangedEvent)
Notifies all listeners that the annotation model has changed.

Parameters:
{orion.editor.Annotation[]} added
  The list of annotation being added to the model.
{orion.editor.Annotation[]} changed
  The list of annotation modified in the model.
{orion.editor.Annotation[]} removed
  The list of annotation being removed from the model.
{ModelChangedEvent} textModelChangedEvent
  the text model changed event that trigger this change, can be null if the change was trigger by a method call (for example, #addAnnotation).

removeAnnotation(annotation)
Removes an annotation from the annotation model.

The annotation model listeners are notified of this change.

Parameters:
{orion.editor.Annotation} annotation
  the annotation to be removed.

See:
  #addAnnotation

removeAnnotations(type)
Removes all annotations of the given `type`. All annotations are removed if the type is not specified.

The annotation model listeners are notified of this change. Only one changed event is generated.

Parameters:
{Object} type
  the type of annotations to be removed.

See:
  #removeAnnotation

removeEventListener(type, listener, useCapture)
Removes an event listener from the event target.

All the parameters must be the same ones used to add the listener.

Defined in: </shared/eclipse/e4/orion/I201302221257/plugins/org.eclipse.orion.client.editor/web/orion/editor/eventTarget.js>.

Parameters:
{String} type
  The event type
{Function|EventListener} listener
  The function or the EventListener that will be executed when the event happens.
{Boolean} useCapture Optional, Default: false
  `true` if the listener should be trigged in the capture phase.

See:
  #addEventListener

replaceAnnotations(remove, add)
Removes and adds the specifed annotations to the annotation model.

The annotation model listeners are notified of this change. Only one changed event is generated.

Parameters:
{orion.editor.Annotation} remove
  the annotations to be removed.
{orion.editor.Annotation} add
  the annotations to be added.

See:
  #addAnnotation
  #removeAnnotation

setTextModel(textModel)
Sets the text model of the annotation model. The annotation model listens for changes in the text model to update and remove annotations that are affected by the change.

Parameters:
{orion.editor.TextModel} textModel
  the text model.

See:
  #getTextModel

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Feb 22 2013 13:00:52 GMT-0500 (EST)